## org.hibernate.id.enhanced
Class OptimizerFactory

    java.lang.Object
      org.hibernate.id.enhanced.OptimizerFactory

    public class OptimizerFactory

extends Object

Factory for `Optimizer` instances.

Nested Class Summary
`static class` `OptimizerFactory.HiLoOptimizer` Optimizer which applies a 'hilo' algorithm in memory to achieve optimization.
`static interface` `OptimizerFactory.InitialValueAwareOptimizer` Marker interface for optimizer which wish to know the user-specified initial value.
`static class` `OptimizerFactory.LegacyHiLoAlgorithmOptimizer`
`static class` `OptimizerFactory.NoopOptimizer` An optimizer that performs no optimization.
`static class` `OptimizerFactory.OptimizerSupport` Common support for optimizer implementations.
`static class` `OptimizerFactory.PooledLoOptimizer`
`static class` `OptimizerFactory.PooledOptimizer` Optimizer which uses a pool of values, storing the next low value of the range in the database.
`static class` `OptimizerFactory.StandardOptimizerDescriptor`

Field Summary
`static String` `HILO` Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.HILO`
`static String` `LEGACY_HILO` Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.LEGACY_HILO`
`static String` `NONE` Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.NONE`
`static String` `POOL` Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.POOLED`
`static String` `POOL_LO` Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.POOLED_LO`

Constructor Summary
`OptimizerFactory()`

Method Summary
`static Optimizer` `buildOptimizer(String type, Class returnClass, int incrementSize)` Deprecated. Use `buildOptimizer(String, Class, int, long)` instead
`static Optimizer` `buildOptimizer(String type, Class returnClass, int incrementSize, long explicitInitialValue)` Builds an optimizer
`static boolean` `isPooledOptimizer(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    @Deprecated
    public static final String NONE

  Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.NONE`

### HILO

    @Deprecated
    public static final String HILO

  Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.HILO`

### LEGACY_HILO

    @Deprecated
    public static final String LEGACY_HILO

  Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.LEGACY_HILO`
  See Also:
    Constant Field Values

### POOL

    @Deprecated
    public static final String POOL

  Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.POOLED`
  See Also:
    Constant Field Values

### POOL_LO

    @Deprecated
    public static final String POOL_LO

  Deprecated. Use `OptimizerFactory.StandardOptimizerDescriptor.getExternalName()` via `OptimizerFactory.StandardOptimizerDescriptor.POOLED_LO`
  See Also:
    Constant Field Values

Constructor Detail

### OptimizerFactory

    public OptimizerFactory()

Method Detail

### isPooledOptimizer

    public static boolean isPooledOptimizer(String type)

### buildOptimizer

    @Deprecated
    public static Optimizer buildOptimizer(String type,
                                                      Class returnClass,
                                                      int incrementSize)

  Deprecated. Use `buildOptimizer(String, Class, int, long)` instead

  Builds an optimizer

  Parameters:
    `type` - The optimizer type, either a short-hand name or the `Optimizer` class name.
    `returnClass` - The generated value java type
    `incrementSize` - The increment size.
  Returns:
    The built optimizer

### buildOptimizer

    public static Optimizer buildOptimizer(String type,
                                           Class returnClass,
                                           int incrementSize,
                                           long explicitInitialValue)

  Builds an optimizer

  Parameters:
    `type` - The optimizer type, either a short-hand name or the `Optimizer` class name.
    `returnClass` - The generated value java type
    `incrementSize` - The increment size.
    `explicitInitialValue` - The user supplied initial-value (-1 indicates the user did not specify).
  Returns:
    The built optimizer

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.